Merge branch
curl --request POST \
--url https://app.freyavoice.ai/api/v2/branches/{branchId}/rebase \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"publish": true,
"resolutions": [
{
"path": "<string>",
"editedValue": "<unknown>"
}
]
}
'import requests
url = "https://app.freyavoice.ai/api/v2/branches/{branchId}/rebase"
payload = {
"publish": True,
"resolutions": [
{
"path": "<string>",
"editedValue": "<unknown>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({publish: true, resolutions: [{path: '<string>', editedValue: '<unknown>'}]})
};
fetch('https://app.freyavoice.ai/api/v2/branches/{branchId}/rebase', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"message": "<string>",
"result": {
"success": true,
"newVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"newVersionNumber": 123,
"published": true,
"resolvedFeedbackIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"conflicts": [
{
"path": "<string>",
"liveValue": "<unknown>",
"baseValue": "<unknown>",
"branchValue": "<unknown>"
}
],
"error": "<string>"
}
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}Branches
Merge branch
3-way merges the branch onto mainline, minting a mainline draft (Apply) or publishing it (Apply & Publish). Returns 409 with per-path conflicts when mainline drifted.
POST
/
branches
/
{branchId}
/
rebase
Merge branch
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
⌘I